<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
include_once('config/config_chucnang.php');
include_once('config/config_socket.php');
if ($Use_KhamSocket != 1) {
	echo "Chức năng không được sử dụng"; 
	exit();
}
if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'item_socketadd')
	{
		$pass2 = $_POST['pass2'];
		$options = $_POST['loai']; 
		$socket_level	= $_POST['socket_level']; 
		
		if( $sendsv === false ) $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện.";
		elseif (empty($pass2)) $error = "Chưa nhập mật khẩu Web";
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2)) $error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
		elseif (empty($options)) $error = "Chưa chọn tính năng Socket";
		elseif (preg_match("/[^0-9$]/", $options)) $error = "<font size='4' color='red'>Dữ liệu lỗi - Tính năng Socket chỉ được sử dụng số (1-9).</font>";
		elseif (empty($socket_level)) $error = "Chưa chọn cấp độ Socket";
		elseif (preg_match("/[^0-9$]/", $socket_level)) $error = "<font size='4' color='red'>Dữ liệu lỗi - Cấp độ Socket chỉ được sử dụng số (1-9).</font>";
		else {
			
			$getcontent_url = $server_url . "/sv_maychaos.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'pass2'    =>  $pass2,
                
                'options'    =>  $options,
				'socket_level'    =>  $socket_level,
                'pagesv'	=>	'sv_item_socketadd',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					$notice = $info[1];
					$price = $info[2];
					$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin']-$price;
				}
				else $error = $reponse;
			}
		}
	}
}

$accept = 1;

if ($_SESSION['nv_online'] == 1) {
	$online = "<font color='red'><b>Chưa Thoát</b></font><br>(Sau khi Thoát Game hãy chọn lại Nhân vật)";
	$accept = 0;
} else $online = "<font color='green'>Đã Thoát</font>";

$page_template = "templates/maychaos/item_socketadd.tpl";
?>